Package fr.gouv.vitam.batch.report.rest.repository

# Class TraceabilityReportRepository

java.lang.Object
fr.gouv.vitam.batch.report.rest.repository.ReportCommonRepository
fr.gouv.vitam.batch.report.rest.repository.TraceabilityReportRepository

public class TraceabilityReportRepository extends ReportCommonRepository

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRACEABILITY_REPORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceabilityReportRepository(MongoDbAccess mongoDbAccess)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bulkAppendReport(List<TraceabilityObjectModel> reports)`
  `ReportResults`
  `computeVitamResults(String processId, Integer tenantId)`
  `void`
  `deleteReportByIdAndTenant(String processId, int tenantId)`
  `com.mongodb.client.MongoCursor<org.bson.Document>`
  `findCollection(String processId, int tenantId)`
  `TraceabilityStatsModel`
  `stats(String processId, Integer tenantId)`

  ### Methods inherited from class fr.gouv.vitam.batch.report.rest.repository.ReportCommonRepository

  `bulkAppendReport, deleteReportByIdAndTenant`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRACEABILITY_REPORT

    public static final String TRACEABILITY_REPORT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TraceabilityReportRepository

    public TraceabilityReportRepository(MongoDbAccess mongoDbAccess)

- ## Method Details

  - ### findCollection

    public com.mongodb.client.MongoCursor<org.bson.Document> findCollection(String processId, int tenantId)

  - ### stats

    public TraceabilityStatsModel stats(String processId, Integer tenantId)

  - ### computeVitamResults

    public ReportResults computeVitamResults(String processId, Integer tenantId)

  - ### bulkAppendReport

    public void bulkAppendReport(List<TraceabilityObjectModel> reports)

  - ### deleteReportByIdAndTenant

    public void deleteReportByIdAndTenant(String processId, int tenantId)